## Apache Zeta Components Manual :: Docs For Class ezcSystemInfoAccelerator

### SystemInformation::ezcSystemInfoAccelerator

### Class ezcSystemInfoAccelerator

A container to store information about a PHP accelerator.

This structure used to represent information about a PHP accelerator parameters self::name self::url self::isEnabled self::versionInt self::versionString

Source for this file: /SystemInformation/src/structs/accelerator.php

    ezcBaseStruct
       |
       --ezcSystemInfoAccelerator

Version: | //autogentag//

### Member Variables

public bool | `$isEnabled` Flag that informs if PHP accelerator enabled or not.
public string | `$name` Name of PHP accelerator.
public string | `$url` URL of the site of PHP accelerator developer.
public int | `$versionInt` PHP accelerator version number.
public string | `$versionString` PHP accelerator version number as a string.

### Method Summary

public ezcSystemInfoAccelerator | `__construct( $name , $url , $isEnabled , $versionInt , $versionString )` Initialize all structure fields with values.

### Methods

#### __construct

ezcSystemInfoAccelerator __construct( string $name , string $url , bool $isEnabled , int $versionInt , string $versionString )

Initialize all structure fields with values.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$name` | string |
`$url` | string |
`$isEnabled` | bool |
`$versionInt` | int |
`$versionString` | string |

Documentation generated by phpDocumentor 1.4.3